Package io.vertx.grpc.reflection.v1

## Interface ServerReflectionResponseOrBuilder

- All Superinterfaces:
    `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`
  All Known Implementing Classes:
    `ServerReflectionResponse`, `ServerReflectionResponse.Builder`

      public interface ServerReflectionResponseOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ExtensionNumberResponse` | `getAllExtensionNumbersResponse()` | This message is used to answer all_extension_numbers_of_type requests.
    `ExtensionNumberResponseOrBuilder` | `getAllExtensionNumbersResponseOrBuilder()` | This message is used to answer all_extension_numbers_of_type requests.
    `ErrorResponse` | `getErrorResponse()` | This message is used when an error occurs.
    `ErrorResponseOrBuilder` | `getErrorResponseOrBuilder()` | This message is used when an error occurs.
    `FileDescriptorResponse` | `getFileDescriptorResponse()` | This message is used to answer file_by_filename, file_containing_symbol, file_containing_extension requests with transitive dependencies.
    `FileDescriptorResponseOrBuilder` | `getFileDescriptorResponseOrBuilder()` | This message is used to answer file_by_filename, file_containing_symbol, file_containing_extension requests with transitive dependencies.
    `ListServiceResponse` | `getListServicesResponse()` | This message is used to answer list_services requests.
    `ListServiceResponseOrBuilder` | `getListServicesResponseOrBuilder()` | This message is used to answer list_services requests.
    `ServerReflectionResponse.MessageResponseCase` | `getMessageResponseCase()` |
    `ServerReflectionRequest` | `getOriginalRequest()` | `.grpc.reflection.v1.ServerReflectionRequest original_request = 2;`
    `ServerReflectionRequestOrBuilder` | `getOriginalRequestOrBuilder()` | `.grpc.reflection.v1.ServerReflectionRequest original_request = 2;`
    `String` | `getValidHost()` | `string valid_host = 1;`
    `com.google.protobuf.ByteString` | `getValidHostBytes()` | `string valid_host = 1;`
    `boolean` | `hasAllExtensionNumbersResponse()` | This message is used to answer all_extension_numbers_of_type requests.
    `boolean` | `hasErrorResponse()` | This message is used when an error occurs.
    `boolean` | `hasFileDescriptorResponse()` | This message is used to answer file_by_filename, file_containing_symbol, file_containing_extension requests with transitive dependencies.
    `boolean` | `hasListServicesResponse()` | This message is used to answer list_services requests.
    `boolean` | `hasOriginalRequest()` | `.grpc.reflection.v1.ServerReflectionRequest original_request = 2;`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- - ### Method Detail

    - #### getValidHost

          String getValidHost()

      `string valid_host = 1;`
      Returns:
        The validHost.

    - #### getValidHostBytes

          com.google.protobuf.ByteString getValidHostBytes()

      `string valid_host = 1;`
      Returns:
        The bytes for validHost.

    - #### hasOriginalRequest

          boolean hasOriginalRequest()

      `.grpc.reflection.v1.ServerReflectionRequest original_request = 2;`
      Returns:
        Whether the originalRequest field is set.

    - #### getOriginalRequest

          ServerReflectionRequest getOriginalRequest()

      `.grpc.reflection.v1.ServerReflectionRequest original_request = 2;`
      Returns:
        The originalRequest.

    - #### getOriginalRequestOrBuilder

          ServerReflectionRequestOrBuilder getOriginalRequestOrBuilder()

      `.grpc.reflection.v1.ServerReflectionRequest original_request = 2;`

    - #### hasFileDescriptorResponse

          boolean hasFileDescriptorResponse()

           This message is used to answer file_by_filename, file_containing_symbol,
           file_containing_extension requests with transitive dependencies.
           As the repeated label is not allowed in oneof fields, we use a
           FileDescriptorResponse message to encapsulate the repeated fields.
           The reflection service is allowed to avoid sending FileDescriptorProtos
           that were previously sent in response to earlier requests in the stream.

      `.grpc.reflection.v1.FileDescriptorResponse file_descriptor_response = 4;`
      Returns:
        Whether the fileDescriptorResponse field is set.

    - #### getFileDescriptorResponse

          FileDescriptorResponse getFileDescriptorResponse()

           This message is used to answer file_by_filename, file_containing_symbol,
           file_containing_extension requests with transitive dependencies.
           As the repeated label is not allowed in oneof fields, we use a
           FileDescriptorResponse message to encapsulate the repeated fields.
           The reflection service is allowed to avoid sending FileDescriptorProtos
           that were previously sent in response to earlier requests in the stream.

      `.grpc.reflection.v1.FileDescriptorResponse file_descriptor_response = 4;`
      Returns:
        The fileDescriptorResponse.

    - #### getFileDescriptorResponseOrBuilder

          FileDescriptorResponseOrBuilder getFileDescriptorResponseOrBuilder()

           This message is used to answer file_by_filename, file_containing_symbol,
           file_containing_extension requests with transitive dependencies.
           As the repeated label is not allowed in oneof fields, we use a
           FileDescriptorResponse message to encapsulate the repeated fields.
           The reflection service is allowed to avoid sending FileDescriptorProtos
           that were previously sent in response to earlier requests in the stream.

      `.grpc.reflection.v1.FileDescriptorResponse file_descriptor_response = 4;`

    - #### hasAllExtensionNumbersResponse

          boolean hasAllExtensionNumbersResponse()

           This message is used to answer all_extension_numbers_of_type requests.

      `.grpc.reflection.v1.ExtensionNumberResponse all_extension_numbers_response = 5;`
      Returns:
        Whether the allExtensionNumbersResponse field is set.

    - #### getAllExtensionNumbersResponse

          ExtensionNumberResponse getAllExtensionNumbersResponse()

           This message is used to answer all_extension_numbers_of_type requests.

      `.grpc.reflection.v1.ExtensionNumberResponse all_extension_numbers_response = 5;`
      Returns:
        The allExtensionNumbersResponse.

    - #### getAllExtensionNumbersResponseOrBuilder

          ExtensionNumberResponseOrBuilder getAllExtensionNumbersResponseOrBuilder()

           This message is used to answer all_extension_numbers_of_type requests.

      `.grpc.reflection.v1.ExtensionNumberResponse all_extension_numbers_response = 5;`

    - #### hasListServicesResponse

          boolean hasListServicesResponse()

           This message is used to answer list_services requests.

      `.grpc.reflection.v1.ListServiceResponse list_services_response = 6;`
      Returns:
        Whether the listServicesResponse field is set.

    - #### getListServicesResponse

          ListServiceResponse getListServicesResponse()

           This message is used to answer list_services requests.

      `.grpc.reflection.v1.ListServiceResponse list_services_response = 6;`
      Returns:
        The listServicesResponse.

    - #### getListServicesResponseOrBuilder

          ListServiceResponseOrBuilder getListServicesResponseOrBuilder()

           This message is used to answer list_services requests.

      `.grpc.reflection.v1.ListServiceResponse list_services_response = 6;`

    - #### hasErrorResponse

          boolean hasErrorResponse()

           This message is used when an error occurs.

      `.grpc.reflection.v1.ErrorResponse error_response = 7;`
      Returns:
        Whether the errorResponse field is set.

    - #### getErrorResponse

          ErrorResponse getErrorResponse()

           This message is used when an error occurs.

      `.grpc.reflection.v1.ErrorResponse error_response = 7;`
      Returns:
        The errorResponse.

    - #### getErrorResponseOrBuilder

          ErrorResponseOrBuilder getErrorResponseOrBuilder()

           This message is used when an error occurs.

      `.grpc.reflection.v1.ErrorResponse error_response = 7;`

    - #### getMessageResponseCase

          ServerReflectionResponse.MessageResponseCase getMessageResponseCase()